# Caesar Cipher
# http://inventwithpython.com/hacking (BSD Licensed)
# Adapted by Alessandro Bugatti

import pyperclip

# the string to be encrypted/decrypted
message = 'ZRFFNTTVB FRTERGB QN PVSENER.'

# tells the program to encrypt or decrypt
mode = input('Encrypt(E) or decrypt(D)')

# choose the key
key = int(input('Choose a key: (0-25)'))

# every possible symbol that can be encrypted
LETTERS = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'

# stores the encrypted/decrypted form of the message
translated = ''

# capitalize the string in message
message = message.upper()

# run the encryption/decryption code on each symbol in the message string
for symbol in message:
    if symbol in LETTERS:
        # get the encrypted (or decrypted) number for this symbol
        num = LETTERS.find(symbol) # get the number of the symbol
        if mode == 'E':
            num = num + key
        else :
            num = num - key

        # handle the wrap-around if num is larger than the length of
        # LETTERS or less than 0
        num = num%len(LETTERS)

        # add encrypted/decrypted number's symbol at the end of translated
        translated = translated + LETTERS[num]

    else:
        # just add the symbol without encrypting/decrypting
        translated = translated + symbol

# print the encrypted/decrypted string to the screen
print(translated)

# copy the encrypted/decrypted string to the clipboard
pyperclip.copy(translated)
